Jump to content

BarryScott

Driver
 TruckersMP Profile
  • Posts

    2
  • Joined

  • Last visited

Everything posted by BarryScott

  1. Expected ver. 1.41.1.25s [rev. e24f1f8e86d1] you have ver. 1.41.1.10 however when I look at the steam beta, I cannot find ver. 1.41.1.25s, when I load 1.41.x, which resembles the expected version, I get the same error? I've reinstalled Truckers MP and validated Euro Truck Simulator 3 but no change.
×
×
  • Create New...

Important Information

We have placed cookies on your device to help make this website better. You can adjust your cookie settings, otherwise we'll assume you're okay to continue.